package com.kingdee.eas.custom.logs;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractMessageLogsInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractMessageLogsInfo()
    {
        this("id");
    }
    protected AbstractMessageLogsInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:消息日志's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:消息日志's 发送时间property 
     */
    public java.util.Date getTime()
    {
        return getDate("time");
    }
    public void setTime(java.util.Date item)
    {
        setDate("time", item);
    }
    /**
     * Object:消息日志's 发送条数property 
     */
    public int getCount()
    {
        return getInt("count");
    }
    public void setCount(int item)
    {
        setInt("count", item);
    }
    /**
     * Object:消息日志's 成功条数property 
     */
    public int getSuccessNum()
    {
        return getInt("successNum");
    }
    public void setSuccessNum(int item)
    {
        setInt("successNum", item);
    }
    /**
     * Object:消息日志's 失败条数property 
     */
    public int getFailNum()
    {
        return getInt("failNum");
    }
    public void setFailNum(int item)
    {
        setInt("failNum", item);
    }
    /**
     * Object: 消息日志 's 员工 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object:消息日志's 预留字段1property 
     */
    public String getReserved1()
    {
        return getString("reserved1");
    }
    public void setReserved1(String item)
    {
        setString("reserved1", item);
    }
    /**
     * Object:消息日志's 预留字段2property 
     */
    public String getReserved2()
    {
        return getString("reserved2");
    }
    public void setReserved2(String item)
    {
        setString("reserved2", item);
    }
    /**
     * Object:消息日志's 发送状态property 
     */
    public com.kingdee.eas.custom.logs.app.SendStatusEnum getStatus()
    {
        return com.kingdee.eas.custom.logs.app.SendStatusEnum.getEnum(getString("status"));
    }
    public void setStatus(com.kingdee.eas.custom.logs.app.SendStatusEnum item)
    {
		if (item != null) {
        setString("status", item.getValue());
		}
    }
    /**
     * Object:消息日志's 是否有效property 
     */
    public boolean isIsVaild()
    {
        return getBoolean("isVaild");
    }
    public void setIsVaild(boolean item)
    {
        setBoolean("isVaild", item);
    }
    /**
     * Object:消息日志's 文件夹property 
     */
    public String getUrldir()
    {
        return getString("urldir");
    }
    public void setUrldir(String item)
    {
        setString("urldir", item);
    }
    /**
     * Object:消息日志's 请求参数property 
     */
    public String getRequestParams()
    {
        return getString("requestParams");
    }
    public void setRequestParams(String item)
    {
        setString("requestParams", item);
    }
    /**
     * Object:消息日志's 发送结果property 
     */
    public String getResult()
    {
        return getString("result");
    }
    public void setResult(String item)
    {
        setString("result", item);
    }
    /**
     * Object:消息日志's 文件名property 
     */
    public String getFileName()
    {
        return getString("fileName");
    }
    public void setFileName(String item)
    {
        setString("fileName", item);
    }
    /**
     * Object:消息日志's url路径property 
     */
    public String getUrlPath()
    {
        return getString("urlPath");
    }
    public void setUrlPath(String item)
    {
        setString("urlPath", item);
    }
    /**
     * Object:消息日志's 源单据编码property 
     */
    public String getBillNo()
    {
        return getString("billNo");
    }
    public void setBillNo(String item)
    {
        setString("billNo", item);
    }
    /**
     * Object:消息日志's 手机号property 
     */
    public String getNCell()
    {
        return getString("nCell");
    }
    public void setNCell(String item)
    {
        setString("nCell", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1C714FA2");
    }
}